package nxm.sys.intr;

import nxm.sys.lib.Intrinsic;
import nxm.sys.lib.Midas;

/**
  Resets the NeXtMidas environment.

  @author Jeff Schoen
*/
public class Reset extends Intrinsic {

  /** default constructor */
  public Reset () {}

  public int process() {

    String func = MA.getU("FUNC");
    if (M.macro != null) {
      M.macro = null;
    }
    if (M.pipeMode != Midas.POFF) {
      M.pipeMode = Midas.POFF;
    }

    return FINISH;
  }
}
